import Vue from 'vue'
import Router from 'vue-router'
import States from "../views/state/States";
import Init from "../views/init/Init";
import Playback from "../views/play/Playback";
import Layout from "../components/layout/Layout";
import ClockSettings from "../views/set/init/NtpSettings";
import NetSettings from "../views/set/init/NetSettings";
import RtspSettings from "../views/set/RtspSettings";
import StoreSettings from "../views/set/StoreSettings";
import VideoSettings from "../views/set/VideoSettings";

Vue.use(Router);

export default new Router({
  routes: [

    {
      path:'/',
      name:'Layout',
      component:Layout,
      children:[

        {
          path: '/init',
          name: 'Init',
          component: Init
        },


        {
          path: '/states',
          name: 'States',
          component: States
        },


        {
            path: '/set/clock',
            name: 'ClockSettings',
            component: ClockSettings

        },

        {
            path: '/set/network',
            name: 'NetSettings',
            component: NetSettings

        },
        {
            path: '/set/rtsp',
            name: 'RtspSettings',
            component: RtspSettings
        },

        {
            path: '/set/store',
            name: 'StoreSettings',
            component: StoreSettings
        },

        {
            path: '/set/video',
            name: 'VideoSettings',
            component: VideoSettings
        },

        {
          path: '/play/playback',
          name: 'Playback',
          component: Playback
        },

      ]

    },

  ]
})
