import axios from 'axios';
import Vue from 'vue';
axios.defaults.headers['Content-Type'] = 'application/json;charset=utf-8';

const service = axios.create({

  // //来判断是否开发环境
  // baseURL: baseUrl,

  // baseURL: process.env.baseURL,
  timeout: 60000
});

// 请求的拦截
service.interceptors.request.use(
  config => {
    let uri = window.location.href;
    let url = uri.substr(0,uri.lastIndexOf(":"));
    config.baseURL = url+":8080";
    // config.baseURL = "http://192.168.3.53"+":8080";
    Vue.prototype.BASE_URL = config.baseURL;
    console.log(config.baseURL);
    return config;
  },


  error => {
    // console.log(error);
    return Promise.reject();
  }
);

// 响应的拦截
service.interceptors.response.use(
  response => {
    // console.log("response ", response);
    if (response.status === 200) {

      return response.data;
    } else {
      Promise.reject("请求失败");
      response.message = "请求超时，请检查网络后重试！";
      return response;
    }
  },
  error => {
    // console.error("失败",error);
    error.message = "操作失败，请重试！";
    return error;
  }
);

export default service;
